]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: Add "Do not edit" warning to generated shell/dircolors.
[config/dotfiles.git] / setup.sh
index 6bede115a519091e3d1c2c1e24cb57f8a19b5b4e..adc2ce6b804388f1809fe6c47ca8d92bd3e72550 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -64,17 +64,21 @@ perl < lesskey \
     | lesskey -
 chmod 0600 ~/.less
 
+# Custom colors for GNU ls.
+if installed dircolors; then
+    echo '# WARNING! DO NOT EDIT THIS FILE!' > shell/dircolors
+    dircolors -b shell/dircolors.in >> shell/dircolors
+fi
+
 # Find the required options to get colored ls output. GNU ls is preferred. See
 # shell/aliases.in for details. Doing this here instead of in shell/aliases
 # speeds up shell starts.
 #
 # Check if colors are available.
-ls --color > /dev/null 2>&1
-if test $? -eq 0; then
+if ls --color > /dev/null 2>&1; then
     ls_color=gnu
 else
-    ls -G > /dev/null 2>&1
-    if test $? -eq 0; then
+    if ls -G > /dev/null 2>&1; then
         ls_color=cli
     else
         ls_color=
@@ -113,6 +117,11 @@ generate perl shell/aliases \
         }' \
     "$ls_env" "$ls_path" "$ls_color" "$column"
 
+# If `tig` is not available use my simple replacement.
+if ! installed tig; then
+    echo "alias tig='git tig'" >>shell/aliases
+fi
+
 # Check if grep supports --color=auto.
 if echo test | grep --color=auto test >/dev/null 2>&1; then
     :
@@ -258,4 +267,6 @@ if installed htop; then
     mkdir -p ~/.config/htop
     link htoprc ~/.config/htop/htoprc
 fi
-
+if test -d ~/.ssh && test -O ~/.ssh; then
+    link ssh_config ~/.ssh/config
+fi